Upsert Customer
Create or update a customer. If id is provided, updates by id. Otherwise, if externalId is provided, finds by externalId and updates or creates if not found. If neither is provided, creates a new customer.
Basic API key authentication. Create a new API key and secret in the Recommand dashboard.
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://app.recommand.eu/api/v1/customers" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "address": "string", "city": "string", "postalCode": "string", "country": "BE" }'{
"success": true,
"customer": {
"id": "string",
"teamId": "string",
"externalId": "string",
"name": "string",
"vatNumber": "string",
"enterpriseNumber": "string",
"peppolAddresses": [
"string"
],
"address": "string",
"city": "string",
"postalCode": "string",
"country": "string",
"email": "string",
"phone": "string",
"createdAt": "string",
"updatedAt": "string"
}
}{
"success": false,
"errors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}{
"success": false,
"errors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}